<form #searchForm="ngForm" (ngSubmit)="onSearch(searchForm)">
  <div class="form-group">
    <span>Enter text to search</span>
    <input
      type="text"
      class="form-control"
      id="search"
      name="search"
      [(ngModel)]="search"
    />
  </div>
  <button type="submit">Search</button>
</form>
<ul>
  <li *ngFor="let track of itunesService.results">
    {{ track.trackName }}
  </li>
</ul>
